Zimbra desktop 7.2.3 will fail to start correctly on Mac OS X even after upgrading to Java 1.7

Zimbra 7.2.3 requires Java vesion 1.7, not that 1.6 that is installed by default on 10.7 Lion. However, installing Java 1.7 is not the full solution. You need to uninstall the 1.6 version installed by Apple as well. It is not removed by the Oracle installation.

See here for instructions on how to upgrade to Java 1.7

JDK 7 Mac Install

See here for instructions on how to remove Java 1.6

java - How do I uninstall Java6 from Mac OS X - Super User